services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  HFC\Membership\:
    resource: '../Classes/*'
    exclude: '../Classes/Domain/Model/*'

  HFC\Membership\EventListener\UserAccount\AugmentNavMenuItems:
    tags:
      - name: event.listener
        identifier: 'hfcmembership--user-account--augment-user-account-nav-menu'
        event: MUTHSEV\Members\Event\ModifyUserAccountNavMenuItemsEvent
        after: 'muthsevshop--user-account--augment-user-account-nav-menu'

  HFC\Membership\EventListener\MembershipRequestSentEventListener:
    tags:
      - name: event.listener
        event: HFC\Membership\Event\MembershipRequestSentEvent
        identifier: 'hfcmembership--membership-request--after-sent'

  HFC\Membership\EventListener\MembershipStatusChangedEventListener:
    tags:
      - name: event.listener
        event: HFC\Membership\Event\MembershipStatusChangedEvent
        identifier: 'hfcmembership--membership-status--do-update'

  HFC\Membership\EventListener\PasswordChangeEventListener:
    tags:
      - name: event.listener
        event: Derhansen\FeChangePwd\Event\AfterPasswordUpdatedEvent
        method: 'updatePasswordInFiReDbAfterUpdate'
        identifier: 'hfcmembership--membership--update-password-after-update'
      - name: event.listener
        event: TYPO3\CMS\FrontendLogin\Event\PasswordChangeEvent
        method: 'updatePasswordInFiReDbAfterRecovery'
        identifier: 'hfcmembership--membership--update-password-after-recovery'
      - name: event.listener
        identifier: 'hfcmembership--set-initial-hash'
        method: 'setInitialUserHashInFiRe'
        event: In2code\Femanager\Event\FinalCreateEvent
        before: 'muthsevmembers--add-contact-to-user'

#  HFC\Membership\Service\FireApiService:
#    arguments:
#      $hash: ''
